Last Comment Bug 665579 - Merge nsIThreadInternal and nsIThreadInternal2
: Merge nsIThreadInternal and nsIThreadInternal2
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-20 09:37 PDT by Ben Turner (not reading bugmail, use the needinfo flag!)
Modified: 2011-06-25 18:39 PDT (History)
5 users (show)
khuey: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch, v1 (7.17 KB, patch)
2011-06-20 09:37 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
benjamin: review+
Details | Diff | Splinter Review
Patch, v1.1 (7.17 KB, patch)
2011-06-24 12:25 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
bent.mozilla: review+
Details | Diff | Splinter Review

Description Ben Turner (not reading bugmail, use the needinfo flag!) 2011-06-20 09:37:19 PDT
Created attachment 540496 [details] [diff] [review]
Patch, v1

This interface was temporary, can be merged now.

It should be ok to keep the iid of nsIThreadInternal2, right?
Comment 1 :Ms2ger 2011-06-24 12:00:13 PDT
(In reply to comment #0)
> It should be ok to keep the iid of nsIThreadInternal2, right?

Ugh, seriously? Please don't do that.
Comment 2 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2011-06-24 12:02:58 PDT
Hrm, it's technically ABI-compatible, but really I don't see why you wouldn't bump it to a new IID (that's what I assumed the patch did).
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-06-24 12:04:35 PDT
I don't see why it's a bad thing... But I can bump it if it offends. Verdict?
Comment 4 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2011-06-24 12:21:51 PDT
bump it
Comment 5 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-06-24 12:25:54 PDT
Created attachment 541759 [details] [diff] [review]
Patch, v1.1

Bumped.
Comment 6 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-06-24 14:14:12 PDT
http://hg.mozilla.org/projects/build-system/rev/94a77bde744b
Comment 7 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-06-25 18:39:40 PDT
http://hg.mozilla.org/mozilla-central/rev/94a77bde744b

Note You need to log in before you can comment on or make changes to this bug.